repo/gentoo:master commit in: dev-python/pdm/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1787117913.497fa2617a900809feba1d461a8028ac2721fd61.mgorny@gentoo>
commit:     497fa2617a900809feba1d461a8028ac2721fd61
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 19 05:16:36 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug 19 05:38:33 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=497fa261

dev-python/pdm: Bump to 2.28.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pdm/Manifest          |  1 +
 dev-python/pdm/pdm-2.28.2.ebuild | 85 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 86 insertions(+)

diff --git a/dev-python/pdm/Manifest b/dev-python/pdm/Manifest
index 23a01f262b2a..40a3cc784b5c 100644
--- a/dev-python/pdm/Manifest
+++ b/dev-python/pdm/Manifest
@@ -1 +1,2 @@
 DIST pdm-2.28.1.tar.gz 2697761 BLAKE2B 3ba83aabaf9d5ce8c49b5a8525938d0bdded92bcc590a8c6556ee564c3ae3a839530616a9c1dae8597f01ea54ffaa0c66d1e0eede02e01356f088cbc5a052b48 SHA512 955fddd20a18f4601651cb54e427cc2aa05b0d8e1e470bc3755d1a527cf7ea2355653bd29a66cb7b488005ef05415289824d921a4aaf3eea70a8a7358ea7a4e5
+DIST pdm-2.28.2.tar.gz 2703070 BLAKE2B d480ab370154264c3cad5deb2b38c4449e1b3ef2529db0253975eb0cc43678ff913de5b2df0f6f400cbf0c3da3e191b497be99a4bfe25f1705ccb572fbbe46cc SHA512 bf357d712a3b987821ecd3240b0d12cd1477d37aebe6a178e56647c2013261fb31ebf4d088c0b49d108cee4dd92bb2ed936ee4cbfd5f740cc6e6d8ab171d4195

diff --git a/dev-python/pdm/pdm-2.28.2.ebuild b/dev-python/pdm/pdm-2.28.2.ebuild
new file mode 100644
index 000000000000..063b090b21f2
--- /dev/null
+++ b/dev-python/pdm/pdm-2.28.2.ebuild
@@ -0,0 +1,85 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( python3_{12..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python package and dependency manager supporting the latest PEP standards"
+HOMEPAGE="
+	https://pdm-project.org/
+	https://github.com/pdm-project/pdm/
+	https://pypi.org/project/pdm/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+	>=dev-python/argcomplete-3.6.3[${PYTHON_USEDEP}]
+	dev-python/certifi[${PYTHON_USEDEP}]
+	>=dev-python/dep-logic-0.7.1[${PYTHON_USEDEP}]
+	<dev-python/findpython-1[${PYTHON_USEDEP}]
+	>=dev-python/findpython-0.7.0[${PYTHON_USEDEP}]
+	dev-python/blinker[${PYTHON_USEDEP}]
+	dev-python/filelock[${PYTHON_USEDEP}]
+	>=dev-python/hishel-1.0.0[${PYTHON_USEDEP}]
+	>=dev-python/httpcore-1.0.6[${PYTHON_USEDEP}]
+	dev-python/httpx[${PYTHON_USEDEP}]
+	>=dev-python/id-1.5.0[${PYTHON_USEDEP}]
+	>=dev-python/installer-1[${PYTHON_USEDEP}]
+	>=dev-python/packaging-22.1[${PYTHON_USEDEP}]
+	>=dev-python/pbs-installer-2025.10.07[${PYTHON_USEDEP}]
+	dev-python/platformdirs[${PYTHON_USEDEP}]
+	dev-python/pyproject-hooks[${PYTHON_USEDEP}]
+	dev-python/python-dotenv[${PYTHON_USEDEP}]
+	>=dev-python/resolvelib-1.2.0[${PYTHON_USEDEP}]
+	dev-python/rich[${PYTHON_USEDEP}]
+	dev-python/shellingham[${PYTHON_USEDEP}]
+	dev-python/tomlkit[${PYTHON_USEDEP}]
+	>=dev-python/truststore-0.10.4[${PYTHON_USEDEP}]
+	>=dev-python/unearth-0.17.5[${PYTHON_USEDEP}]
+	dev-python/virtualenv[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	${RDEPEND}
+	test? (
+		dev-python/msgpack[${PYTHON_USEDEP}]
+		dev-python/uv
+	)
+"
+
+EPYTEST_PLUGINS=( pytest-{httpserver,httpx,mock,rerunfailures} )
+EPYTEST_RERUNS=5
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+	distutils-r1_src_prepare
+
+	# unpin deps
+	sed -i -e 's:,<[0-9.a]*::' pyproject.toml || die
+	# remove pkgutil namespace magic, as it doesn't work and makes
+	# dev-python/pdm-backend tests test the wrong package
+	rm src/pdm/__init__.py || die
+}
+
+python_test() {
+	local EPYTEST_DESELECT=(
+		# Internet
+		'tests/models/test_candidates.py::test_expand_project_root_in_url[demo @ file:///${PROJECT_ROOT}/tests/fixtures/artifacts/demo-0.0.1.tar.gz]'
+		# unhappy about extra packages being installed?
+		# (also fails randomly in venv)
+		tests/cli/test_build.py::test_build_with_no_isolation
+		# TODO: random regression?
+		tests/cli/test_python.py::test_find_python
+		# TODO
+		tests/test_formats.py::test_export_from_pylock_not_empty
+	)
+
+	epytest -m "not network and not integration and not path"
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.